import { LiveAnnouncer } from "@angular/cdk/a11y";
import { QueryList } from "@angular/core";
import { ComboboxV2Component } from "./combobox-v2/combobox-v2.component";
import { MarkAsSelectedItemDirective } from "./mark-as-selected-item.directive";
import * as i0 from "@angular/core";
export declare class SelectedItemsKeyControlService {
    liveAnnouncer: LiveAnnouncer;
    private selectedItems;
    private selectedItemsKeyManager;
    private activeSelectedItemIndex?;
    private combobox;
    private inputElement;
    constructor(liveAnnouncer: LiveAnnouncer);
    initSelectedItemsKeyManager(elems: QueryList<MarkAsSelectedItemDirective>, combobox: ComboboxV2Component): void;
    onKeydown(event: KeyboardEvent): void;
    setLastItemActive(): void;
    isSelectedItemsActive(): boolean;
    deactivateSelectedItems(): void;
    private handleBackspace;
    private handleRightArrow;
    private calculateActiveSelectedItemIndex;
    private isBackspace;
    private isLeftOrRightArrow;
    private isRightArrow;
    private isLeftArrow;
    private get activeItem();
    private deselectItem;
    private get getActiveItemTitle();
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectedItemsKeyControlService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SelectedItemsKeyControlService>;
}
